// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "../StatusEffect.h"
#include "HealOverTime.generated.h"

/**
 * 
 */
UCLASS()
class THE_TWILIGHT_ABYSS_API UHealOverTime : public UStatusEffect
{
	GENERATED_BODY()

protected:
	UFUNCTION()
	void Heal(AActor* Character, float Amount) const;
	
public:
	FTimerHandle HealTimerHandle;
	virtual void Invoke(AActor* Character, float TimeOfExpiry) override;
	virtual void OnExpiry(AActor* Character) override;
};
